# 🛡️ NB Defense Jupyter Lab Extension

[![Build](https://github.com/protectai/nbdefense-jupyter/actions/workflows/build.yml/badge.svg)](https://github.com/protectai/nbdefense-jupyter/actions/workflows/build.yml)
[![Test](https://github.com/protectai/nbdefense-jupyter/actions/workflows/test.yml/badge.svg)](https://github.com/protectai/nbdefense-jupyter/actions/workflows/test.yml)
[![License: Apache 2.0](https://img.shields.io/crates/l/apa)](https://opensource.org/license/apache-2-0/)

## 🏃‍♀️ Quick Start

```bash
pip install nbdefense_jupyter
jupyter server extension enable nbdefense_jupyter
```

## 🙋‍♂️ What is the NB Defense Jupyter Lab Extension?

Brought to you by Protect AI, NB Defense Jupyter Lab Extension (JLE) is an open source tool that encourages you to think about security throughout every step of your machine learning development process. You can use nbdefense to scan for [Secrets](https://nbdefense.ai/supported-scans/detecting-secrets), [Personally Identifiable Information (PII)](https://nbdefense.ai/supported-scans/detecting-PII), [Common Vulnerabilities and Exposures(CVE)](https://nbdefense.ai/supported-scans/detecting-CVEs), and [Licenses](https://nbdefense.ai/supported-scans/detecting-licenses) in your notebook files.

The NB Defense Jupyter Lab Extension depends on our [CLI/SDK](https://github.com/protectai/nbdefense) repository Visit our [documentation](https://nbdefense.ai), or the repository below to learn more.

- [NB Defense Repository](https://github.com/protectai/nbdefense)

## 📄 Documentation

For more details and [documentation](https://nbdefense.ai) visit these links:

- [Documentation](https://nbdefense.ai)

- [Getting Started on a Local Machine](https://nbdefense.ai/getting-started/jupyter-lab-extension)
- [Getting Started on with Cloud Services](https://nbdefense.ai/getting-started/cloud-services)

## 💪 Contributing

Welcome to the team! We are open to contributions and working with the community to make notebooks safer for everyone.

If you would like to contribute, please visit [CONTRIBUTING.md](https://github.com/protectai/nbdefense-jupyter/blob/main/CONTRIBUTING.md) to get started as a developer, or to suggest bug fixes, improvements, or new features follow [this link](https://nbdefense.ai/faq) to our FAQ page.
